org.apache.struts2.json.smd

## Class SMD

- java.lang.Object
- - org.apache.struts2.json.smd.SMD

-     public class SMD
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DEFAULT_SERVICE_TYPE`
    `static String` | `DEFAULT_VERSION`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SMD()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addSMDMethod(SMDMethod method)`
    `Set<SMDMethod>` | `getMethods()`
    `String` | `getObjectName()`
    `String` | `getServiceType()`
    `String` | `getServiceUrl()`
    `String` | `getVersion()`
    `void` | `setObjectName(String objectName)`
    `void` | `setServiceType(String serviceType)`
    `void` | `setServiceUrl(String serviceUrl)`
    `void` | `setVersion(String version)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_VERSION

          public static final String DEFAULT_VERSION

      See Also:
        Constant Field Values

    - #### DEFAULT_SERVICE_TYPE

          public static final String DEFAULT_SERVICE_TYPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SMD

          public SMD()

  - ### Method Detail

    - #### addSMDMethod

          public void addSMDMethod(SMDMethod method)

    - #### getVersion

          public String getVersion()

    - #### setVersion

          public void setVersion(String version)

    - #### getObjectName

          public String getObjectName()

    - #### setObjectName

          public void setObjectName(String objectName)

    - #### getServiceType

          public String getServiceType()

    - #### setServiceType

          public void setServiceType(String serviceType)

    - #### getServiceUrl

          public String getServiceUrl()

    - #### setServiceUrl

          public void setServiceUrl(String serviceUrl)

    - #### getMethods

          public Set<SMDMethod> getMethods()

Copyright © 2000–2026 Apache Software Foundation. All rights reserved.